global.nukelist = [
   '@antiblocksrechisled',
   'alloy_smelter:forge_controller_tier2',
   'alloy_smelter:forge_controller_tier3',
   'tfmg:brass_cable_hub',
   'tfmg:copper_cable_hub',
   'tfmg:steel_cable_hub',
   'tfmg:aluminum_cable_hub',
   'tfmg:steel_casing_cable_hub',
   'tfmg:heavy_cable_hub',
   'tfmg:generator',
   'tfmg:cable_connector',
   'tfmg:glass_cable_insulator',
   'tfmg:copycat_cable_block',
   'tfmg:transformer',
   'tfmg:converter',
   'tfmg:cable_tube',
   'tfmg:diagonal_cable_block',
   'tfmg:accumulator',
   'tfmg:rotor',
   'tfmg:stator',
   'tfmg:polarizer'
]

ServerEvents.tags('item', event => {
   event.removeAllTagsFrom(global.nukelist)
   event.add('backrooms:nukelist', global.nukelist)
   event.add('c:hidden_from_recipe_viewers', global.nukelist)
})

ServerEvents.tags('fluid', event => {
   event.removeAllTagsFrom(global.nukelist)
   event.add('backrooms:nukelist', global.nukelist)
   event.add('c:hidden_from_recipe_viewers', global.nukelist)
})

ServerEvents.recipes(event => {
   event.remove({ input: global.nukelist })
   event.remove({ output: global.nukelist })
})


// This below bit is optional, but makes reloading the nukelist easier by running the required commands.



PlayerEvents.chat(event => {
   if (event.message == 'nukelist reload') {
      event.server.runCommand(`tell @a Reloading...B`)
      event.server.runCommand(`reload`)
      event.server.runCommand(`kubejs reload client_scripts`)
   }
})